MessageRemovedException (JavaMail API documentation)
Date: 2018-10-22

javax.mail

## Class MessageRemovedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.mail.MessagingException
      - - javax.mail.MessageRemovedException

- All Implemented Interfaces:
    java.io.Serializable

      public class MessageRemovedException
      extends MessagingException

  The exception thrown when an invalid method is invoked on an expunged Message. The only valid methods on an expunged Message are `isExpunged()` and `getMessageNumber()`.
  See Also:
    `Message.isExpunged()`, `Message.getMessageNumber()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageRemovedException()` Constructs a MessageRemovedException with no detail message.
    `MessageRemovedException(java.lang.String s)` Constructs a MessageRemovedException with the specified detail message.
    `MessageRemovedException(java.lang.String s, java.lang.Exception e)` Constructs a MessageRemovedException with the specified detail message and embedded exception.

  - ### Method Summary

    - ### Methods inherited from class javax.mail.MessagingException

      `getCause, getNextException, setNextException, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageRemovedException

          public MessageRemovedException()

      Constructs a MessageRemovedException with no detail message.

    - #### MessageRemovedException

          public MessageRemovedException(java.lang.String s)

      Constructs a MessageRemovedException with the specified detail message.
      Parameters:
        `s` - The detailed error message

    - #### MessageRemovedException

          public MessageRemovedException(java.lang.String s,
                                         java.lang.Exception e)

      Constructs a MessageRemovedException with the specified detail message and embedded exception. The exception is chained to this exception.
      Parameters:
        `s` - The detailed error message
        `e` - The embedded exception
      Since:
        JavaMail 1.5

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.